﻿// project created on 24/05/2003 at 22:55
using System;
using System.Windows.Forms;
using J4L.RBarcode;
using System.Drawing.Printing;

namespace MyForm 
{
	class BarcodeForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label;
		private Rbarcode1D bc;
		private System.Windows.Forms.ComboBox cSymbol;
		private System.Windows.Forms.ComboBox cCode128;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.TabPage tabPage;
		private System.Windows.Forms.TextBox textI;
		private System.Windows.Forms.TextBox txtX;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.TextBox textN;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnPrint;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TabControl tabControl;
		private PrintDocument printDocument1;		
		
		public BarcodeForm()
		{
			InitializeComponent();
			cSymbol.SelectedIndex=0;
			cCode128.SelectedIndex=0;
		}
	
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			bc.Code=txtData.Text;
			if (cCode128.SelectedIndex>=0) bc.BarCode128Set=(Rbarcode1D.tCode128Type) cCode128.SelectedIndex;
			bc.Xsize=Convert.ToInt16(this.txtX.Text);
			bc.Nsize=Convert.ToInt16(this.textN.Text);			
			bc.Isize=Convert.ToInt16(this.textI.Text);	
			if (cSymbol.SelectedIndex>=0) bc.BarType=(Rbarcode1D.tbarType) cSymbol.SelectedIndex;
			bc.BarCheckCharacter=true;
			bc.Invalidate();
			
		}
		
		void btnSaveClick(object sender, System.EventArgs e)
		{
			btnRefreshClick(sender,e);
			bc.saveToFile("barcode.gif","GIF");
			MessageBox.Show("Barcode saved to barcode.gif");
			
		}
		
		private void printDocument1_PrintPage(object sender, 
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));
				bc.paintBarcode(e.Graphics);
				
			}		
		
		void btnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
			
		}
		
		void btnExitClick(object sender, System.EventArgs e)
		{
	this.Close();		
		}
		
		void InitializeComponent() {
			this.tabControl = new System.Windows.Forms.TabControl();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.btnPrint = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.textN = new System.Windows.Forms.TextBox();
			this.btnRefresh = new System.Windows.Forms.Button();
			this.btnExit = new System.Windows.Forms.Button();
			this.txtX = new System.Windows.Forms.TextBox();
			this.textI = new System.Windows.Forms.TextBox();
			this.tabPage = new System.Windows.Forms.TabPage();
			this.txtData = new System.Windows.Forms.TextBox();
			this.btnSave = new System.Windows.Forms.Button();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.cCode128 = new System.Windows.Forms.ComboBox();
			this.cSymbol = new System.Windows.Forms.ComboBox();
			this.bc = new Rbarcode1D();
			this.label = new System.Windows.Forms.Label();
			this.SuspendLayout();
			this.tabPage2.SuspendLayout();
			this.tabPage.SuspendLayout();
			this.tabControl.SuspendLayout();
			// 
			// tabControl
			// 
			this.tabControl.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.tabPage,
						this.tabPage2});
			this.tabControl.Location = new System.Drawing.Point(8, 192);
			this.tabControl.Name = "tabControl";
			this.tabControl.SelectedIndex = 0;
			this.tabControl.Size = new System.Drawing.Size(376, 184);
			this.tabControl.TabIndex = 5;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 24);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(40, 23);
			this.label4.TabIndex = 0;
			this.label4.Text = "Data";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(16, 56);
			this.label5.Name = "label5";
			this.label5.TabIndex = 2;
			this.label5.Text = "Symbology";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(16, 88);
			this.label6.Name = "label6";
			this.label6.TabIndex = 4;
			this.label6.Text = "Code 128 set";
			// 
			// btnPrint
			// 
			this.btnPrint.Location = new System.Drawing.Point(200, 384);
			this.btnPrint.Name = "btnPrint";
			this.btnPrint.TabIndex = 3;
			this.btnPrint.Text = "Print";
			this.btnPrint.Click += new System.EventHandler(this.btnPrintClick);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 48);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(224, 23);
			this.label2.TabIndex = 1;
			this.label2.Text = "N (width of wide bars, multiplier of X)";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 72);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(224, 23);
			this.label3.TabIndex = 2;
			this.label3.Text = "I (space between bars, multiplier of X)";
			// 
			// textN
			// 
			this.textN.Location = new System.Drawing.Point(248, 48);
			this.textN.Name = "textN";
			this.textN.TabIndex = 4;
			this.textN.Text = "2";
			// 
			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(24, 384);
			this.btnRefresh.Name = "btnRefresh";
			this.btnRefresh.TabIndex = 1;
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(288, 384);
			this.btnExit.Name = "btnExit";
			this.btnExit.TabIndex = 4;
			this.btnExit.Text = "Exit";
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 
			// txtX
			// 
			this.txtX.Location = new System.Drawing.Point(248, 24);
			this.txtX.Name = "txtX";
			this.txtX.TabIndex = 3;
			this.txtX.Text = "1";
			// 
			// textI
			// 
			this.textI.Location = new System.Drawing.Point(248, 72);
			this.textI.Name = "textI";
			this.textI.TabIndex = 5;
			this.textI.Text = "1";
			// 
			// tabPage
			// 
			this.tabPage.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.cCode128,
						this.label6,
						this.cSymbol,
						this.label5,
						this.txtData,
						this.label4});
			this.tabPage.Location = new System.Drawing.Point(4, 22);
			this.tabPage.Name = "tabPage";
			this.tabPage.Size = new System.Drawing.Size(368, 158);
			this.tabPage.TabIndex = 0;
			this.tabPage.Text = "Symbol";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(56, 24);
			this.txtData.Name = "txtData";
			this.txtData.Size = new System.Drawing.Size(296, 20);
			this.txtData.TabIndex = 1;
			this.txtData.Text = "123456789012";
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(112, 384);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 2;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSaveClick);
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.textI,
						this.textN,
						this.txtX,
						this.label3,
						this.label2,
						this.label});
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.Size = new System.Drawing.Size(368, 158);
			this.tabPage2.TabIndex = 1;
			this.tabPage2.Text = "Dimensions";
			// 
			// cCode128
			// 
			this.cCode128.Items.AddRange(new object[] {
						"A",
						"B",
						"C"});
			this.cCode128.Location = new System.Drawing.Point(120, 88);
			this.cCode128.Name = "cCode128";
			this.cCode128.Size = new System.Drawing.Size(112, 21);
			this.cCode128.TabIndex = 5;
			this.cCode128.Text = "A";
			// 
			// cSymbol
			// 
			this.cSymbol.Items.AddRange(new object[] {
						"CODE39",
						"CODE39EXT",
						"INTERLEAVED25",
						"CODE11",
						"CODABAR",
						"MSI",
						"UPCA",
						"INDUSTRIAL25",
						"MATRIX25",
						"CODE93",
						"EAN13",
						"EAN8",
						"UPCE",
						"CODE128",
						"CODE93EXT",
						"POSTNET",
						"EAN128"});
			this.cSymbol.Location = new System.Drawing.Point(120, 56);
			this.cSymbol.Name = "cSymbol";
			this.cSymbol.Size = new System.Drawing.Size(121, 21);
			this.cSymbol.TabIndex = 3;
			this.cSymbol.Text = "CODE128";
			// 
			// bc
			// 
			this.bc.Location = new System.Drawing.Point(8, 8);
			this.bc.Name = "bc";
			this.bc.Size = new System.Drawing.Size(368, 176);
			this.bc.TabIndex = 0;
			// 
			// label
			// 
			this.label.Location = new System.Drawing.Point(16, 24);
			this.label.Name = "label";
			this.label.Size = new System.Drawing.Size(144, 23);
			this.label.TabIndex = 0;
			this.label.Text = "X (width of narrow  bars)";
			// 
			// MainForm
			// 
			this.ClientSize = new System.Drawing.Size(392, 422);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.tabControl,
						this.btnExit,
						this.btnPrint,
						this.btnSave,
						this.btnRefresh,
						this.bc});
			this.Text = "BarcodeDemo";
			this.tabControl.ResumeLayout(false);
			this.tabPage.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			this.ResumeLayout(false);
		}
			

	}			
}
